function Bc = coh_matrix_in_orthogonal_basis_from_formulas(B,U)
  
  q11 = U(1,1);
  q12 = U(1,2);
  
  req12  = real(q12);
  imq12  = imag(q12);
  absq12 = abs(q12);

  Bhh   = squeeze(B(1,1,:));
  Bvv   = squeeze(B(2,2,:));
  rebhv = squeeze(real(B(1,2,:)));
  imbhv = squeeze(imag(B(1,2,:)));

  Bcc = q11^2 * Bhh + absq12^2 * Bvv - q11 * ( 2 * req12 * rebhv + 2 * imq12 * imbhv);
  Bxx = q11^2 * Bvv + absq12^2 * Bhh + q11 * ( 2 * req12 * rebhv + 2 * imq12 * imbhv);
  rebcx = q11 * req12 * Bhh + (q11^2 - req12^2 + imq12^2) * rebhv - 2 * req12 * imq12 * imbhv - q11 * req12 * Bvv;
  imbcx = q11 * imq12 * Bhh + (q11^2 + req12^2 - imq12^2) * imbhv - 2 * req12 * imq12 * rebhv - q11 * imq12 * Bvv;
  
  Bhh2 = q11^2 * Bcc + absq12^2 * Bxx + q11 * ( 2 * req12 * rebcx + 2 * imq12 * imbcx);
  Bvv2 = q11^2 * Bxx + absq12^2 * Bcc - q11 * ( 2 * req12 * rebcx + 2 * imq12 * imbcx);
  rebhv2 = -q11 * req12 * Bcc + (q11^2 - req12^2 + imq12^2) * rebcx - 2 * req12 * imq12 * imbcx + q11 * req12 * Bxx;
  imbhv2 = -q11 * imq12 * Bcc + (q11^2 + req12^2 - imq12^2) * imbcx - 2 * req12 * imq12 * rebcx + q11 * imq12 * Bxx;
  
  Bc(1,1,:) = Bcc;
  Bc(1,2,:) = rebcx + 1i*imbcx;
  Bc(2,1,:) = conj(Bc(1,2,:));
  Bc(2,2,:) = Bxx;
  
end