function k = filter_coherent_components(BHH,BVV,figure_flag)

    Ns = 8;
    Nsubsections = 28;

    A = squeeze(mean(BHH,1)./std(BHH,0,1));
    B = squeeze(mean(BVV,1)./std(BVV,0,1));
    
    s = randn(Ns,Nsubsections,numel(A)) + 1i*randn(Ns,Nsubsections,numel(A));
    s = squeeze(mean(abs(s).^2,1));
    
    C = squeeze(mean(s,1)./std(s,0,1));
    
    T = prctile(C,5);
    
    k = find(mean(BHH,1)./std(BHH,0,1) >= T & mean(BVV,1)./std(BVV,0,1) >= T);
    
    if figure_flag == 1
    
        x = 0:0.2:7;

        figure('Color','white')
        ha = hist(A(:),x);
        hb = hist(B(:),x);
        hc = hist(C(:),x);
        hold on
        plot(x,ha,'Linewidth',5)
        plot(x,hb,'Linewidth',2)
        plot(x,hc,'Linewidth',2)    
        plot([T T],[0 14000],'k','Linewidth',2)
        grid on    
        box on

        legend('Horizontal','Vertical','Expected','Threshold')

        xlabel('Ratio of mean power over power standard deviation')
        ylabel('Occurence')
        
    end

end