function [] = generate_figure_3_a_to_d()
  
    % Note that 10 is set here to shorten the calculation time
    % In the manuscript 1000 points were used but the calculation may
    % take a few hours
    NumberOfPoints = 10;

    warning('off','all')

    filename = '210621_074437_P00_CEL.IQ';
    fftnum   = 32;
    
    IQ    = read_first_seq_from_iq_file(filename);
    [H,V] = get_complex_spectra(IQ,fftnum);
    [BHH,RBHV,IBHV,BVV] = get_covarince_matrix_elements(H,V);
    
    k = filter_coherent_components(BHH,BVV,0);
    
    BHH  = BHH(:,k);
    RBHV = RBHV(:,k);
    IBHV = IBHV(:,k);
    BVV  = BVV(:,k);
    
    clear B s A
    
    xmin = zeros(NumberOfPoints,4);
    xmn  = zeros(NumberOfPoints,4);
    
    K = randperm(length(BHH),NumberOfPoints);
    
    for i = 1:length(K)
    
        tic
        
        k = K(i);
        
        f = @(x)-likelihood_bb([x(1) x(2) x(3) x(4)],8,BHH(:,k),RBHV(:,k),IBHV(:,k),BVV(:,k));
        
        curfmin = 10^10;
        for j = 1:5
            a = 0.5 + (j-1)*0.25;
            x0 = a * [BHH(1,k),RBHV(1,k),IBHV(1,k),BVV(1,k)];
           [x,fval] = fminsearch(f,x0);
           if fval < curfmin
               curfmin   = fval;
               xmin(i,:) = x;
           end
        end        
        
        xmn(i,:)  = [mean(BHH(:,k)) mean(RBHV(:,k)) mean(IBHV(:,k)) mean(BVV(:,k))];
        
        toc
        
        i
        
    end
    
    figure
    
    for i = 1:4
    
        subplot(1,4,i)
        
        x = xmn(:,i);
        y = xmin(:,i);

        scatter(x,y,'filled')
        hold on
        grid on
        box on
        xlabel('From measurements [linear a.u.]')
        ylabel('From max. likelihood [linear a.u.]')

        [a,~] = get_results_for_one_element(x,y);

        t = sprintf('%d Slope: %.3f +/- %.3f',i,mean(a(2,:)),std(a(2,:)));
        title(['\Sigma_c' t])
        
        plot(xmn(:,i),mean(a(2,:))*xmn(:,i))

    end
    
    keyboard
    
end