function [] = generate_figure_4()

    warning('off','all')

    filename = '210621_074437_P00_CEL.IQ';
    fftnum   = 32;
    
    IQ    = read_first_seq_from_iq_file(filename);
    [H,V] = get_complex_spectra(IQ,fftnum);
    [BHH,RBHV,IBHV,BVV] = get_covarince_matrix_elements(H,V);
       
    ZDR = BHH./BVV;
    RHO = abs(RBHV+1i*IBHV)./sqrt(BHH.*BVV);
    PHI = angle(RBHV-1i*IBHV);
    
    CM = get_simulated_error_covariance_matrix_c(H,V);
    V  = get_var_of_pol_var(H,V);
    
    figure
    
    subplot(1,4,1)
    scatter(CM(:,1,1),V(:,1),'filled')
    set(gca,'YScale','log')
    set(gca,'XScale','log')
    grid on
    box on
    xlabel('\Sigma_c (1,1) [linear a.u.]')
    ylabel('VARbhh [linear a.u.]')
    
    subplot(1,4,2)
    scatter((CM(:,2,2)),(V(:,2)),'filled')
    set(gca,'YScale','log')
    set(gca,'XScale','log')
    grid on
    box on
    xlabel('\Sigma_c (2,2) [linear]')
    ylabel('VARzdr [linear]')
    
    rho = mean(RHO,1);
    
    subplot(1,4,3)
    scatter((CM(:,3,3)),(V(:,3)),[],rho(:),'filled')
    set(gca,'YScale','log')
    set(gca,'XScale','log')
    grid on
    colormap jet
    colorbar
    box on
    xlabel('\Sigma_c (3,3) [linear]')
    ylabel('VARrho [linear]')
    
    subplot(1,4,4)
    scatter((CM(:,4,4)),(V(:,4)),[],rho(:),'filled')
    set(gca,'YScale','log')
    set(gca,'XScale','log')
    grid on
    colormap jet
    colorbar
    box on
    xlabel('\Sigma_c (4,4) [rad^2]')
    ylabel('VARphi [rad^2]')

end