function [] = generate_figure_5()
  
    warning('off','all')

    filename = '210621_074437_P00_CEL.IQ';
    fftnum   = 32;
    
    IQ    = read_first_seq_from_iq_file(filename);
    [H,V] = get_complex_spectra(IQ,fftnum);
    [BHH,RBHV,IBHV,BVV] = get_covarince_matrix_elements(H,V);
    
    k = filter_coherent_components(BHH,BVV,0);
    
    CM = get_simulated_error_covariance_matrix_b(H,V);
    C  = get_estimated_error_covariance_matrix_b(BHH,RBHV,IBHV,BVV);
     
    plot_results(CM,C,k);
    
end

function [] = plot_results(CM,C,k)

    for i = 1:4
        for j = 1:4

            x = CM(k,i,j);
            y = C(k,i,j);
            
            [a,c] = get_results_for_one_element(x,y);
            
            figure('Color','white','Position',[200 200 300 300])
            
            scatter(x,y,10*ones(1,length(x)),'filled')
            grid on
            hold on
            z = linspace(min(x),max(x),100);
            Z = z .* a(2,:)'+a(1,:)';
            plot(z,mean(Z,1))
            axis equal
            box on
            xlim([0 max([x; y])])
            ylim([0 max([x; y])])
            xlabel('Analytical [a.u]')
            ylabel('Estimated [a.u]')
            t = sprintf('(%d,%d) Slope: %.3f +/- %.3f Corr: %.3f +/- %.3f',i,j,mean(a(1,:)),std(a(1,:)),mean(c),std(c));
            title(['\Sigma_b' t])
            
        end
    end

end