function U = get_operator_for_sec_specfific_basis(B)

  Sp = trace(B);
  D  = det(B);

  % eigen values
  l1 = 0.5 * (Sp + sqrt(Sp^2 - 4 * D));
  l2 = 0.5 * (Sp - sqrt(Sp^2 - 4 * D));

  d1 = conj(B(1,2)) / (l1 - B(2,2));

  U(1,1) = 1 / sqrt(1 + abs(d1)^2);
  U(2,2) = 1 / sqrt(1 + abs(d1)^2);
  U(1,2) = -conj(d1) / sqrt(1 + abs(d1)^2);
  U(2,1) = (d1) /sqrt(1 + abs(d1)^2);
  
end