function V = get_var_of_pol_var(H,V)
    
    Nav = 8;
    
    mBHH  = squeeze(mean(H.*conj(H),2));
    mRBHH = real(squeeze(mean(H.*conj(V),2)));
    mIBHH = imag(squeeze(mean(H.*conj(V),2)));
    mBVV  = squeeze(mean(V.*conj(V),2));
      
    V = zeros(length(mBHH(:)),4);
    
    for i = 1:length(mBHH(:))
        
        Bhh = mBHH(i);
        Zdr = mBHH(i)./mBVV(i);
        rho = sqrt(mRBHH(i).^2+mIBHH(i).^2)./sqrt(mBHH(i).*mBVV(i));
        
        varbhh = Bhh.^2/Nav;
        varzdr = 2 / Nav * Zdr.^2 .* (1 - rho.^2);
        varrho = (1-rho.^2).^2 ./ (2 * Nav * rho.^2);
        varphi = ((1-rho.^2) ./ rho.^2) / 2 / Nav;
  
        V(i,:) = [varbhh varzdr varrho varphi];
        
    end
  
end