function IQ = read_first_seq_from_iq_file(filename)

    fid = fopen(filename);
    
    a = fread(fid,2,'int32');
    
    filecode = a(1);
    sampnum  = a(2)-1;
    
    poln = fread(fid,1,'int8');
    
    if poln == 2
       
        a = fread(fid,3,'int8');
        
        dualpol   = a(1);
        phasecorr = a(2);
        ampcorr   = a(3);
        
    end
    
    fftwin = fread(fid,1,'int8');
    sequn  = fread(fid,1,'int32');
    
    chirpreps = fread(fid,sequn,'int32');
    fftstart  = fread(fid,sequn,'int32');
    fftstop   = fread(fid,sequn,'int32');
    rangemin  = fread(fid,sequn,'int32');
    rangemax  = fread(fid,sequn,'int32');
    rangeres  = fread(fid,sequn,'float32');
    fftnum    = fread(fid,sequn,'int32');
    
    IQ = zeros(2,sampnum,chirpreps(1),(fftstop(1)-fftstart(1)+1));
    
    for n = 1:sampnum
        
        for p = 1:poln
            
            for s = 1:sequn
                
                 b = fread(fid,2 * chirpreps(s) * (fftstop(s)-fftstart(s)+1),'float32');
                 
                 if s ~= 1
                     continue
                 end
                 
                 b = reshape(b,2,length(b)/2);
                 b = b(1,:) + 1i*b(2,:);
                 b = reshape(b,(fftstop(s)-fftstart(s)+1),length(b)/(fftstop(s)-fftstart(s)+1))';
                    
                 IQ(p,n,:,:) = b;
                
            end
            
        end
        
        clc
        fprintf(' %d samples out of %d have been processed \n',n,sampnum)
        
    end
    
    fclose(fid);

end